DatasetJob
Get dataset jobs
POST
/
model-monitor
/
v2
/
api
/
{model_id}
/
dataset-jobs
Get dataset jobs
curl --request POST \
--url https://mycluster.domino.tech/model-monitor/v2/api/{model_id}/dataset-jobs \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"end": 123,
"pagination": {
"page": 123,
"size": 123
},
"start": 123,
"filters": {
"job_type": [
"<string>"
],
"status": []
},
"search": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/model-monitor/v2/api/{model_id}/dataset-jobs"
payload = {
"end": 123,
"pagination": {
"page": 123,
"size": 123
},
"start": 123,
"filters": {
"job_type": ["<string>"],
"status": []
},
"search": "<string>"
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
end: 123,
pagination: {page: 123, size: 123},
start: 123,
filters: {job_type: ['<string>'], status: []},
search: '<string>'
})
};
fetch('https://mycluster.domino.tech/model-monitor/v2/api/{model_id}/dataset-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"dataset_id": "<string>",
"dataset_name": "<string>",
"dataset_path": "<string>",
"datasource_name": "<string>",
"datasource_type": "s3",
"errors": [
"<string>"
],
"infos": [
"<string>"
],
"job_id": "<string>",
"job_type": "training",
"registered_on": 123,
"status": "pending",
"warnings": [
"<string>"
],
"actionable_insights_details": {
"domino_job_url": "<string>",
"domino_results_url": "<string>"
},
"feature_set_details": {
"featureSetId": "<string>",
"featureSetVersionId": "<string>"
},
"records": 123
}
],
"total": 123
}Authorizations
DominoApiKeyAuthDmmApiKeyAuthcookieAuthBearerAuth
Path Parameters
Identifier of the model
Body
application/json
List the dataset jobs associated with a model
End Date for the Dataset range
This is used to fetch the result in a paginated manner
Show child attributes
Show child attributes
Start Date for the Dataset range
Filter keys for dataset job dashboard
Show child attributes
Show child attributes
Search key for dataset name
Last modified on August 27, 2026
Was this page helpful?
⌘I
Get dataset jobs
